<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="OBDO_DistOrder" pageWidth="595" pageHeight="842" columnWidth="483" leftMargin="56" rightMargin="56" topMargin="56" bottomMargin="56" uuid="b3f285ed-96c8-4c04-9e91-d9172b1f71ef">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="164"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<style name="default" vTextAlign="Middle" vImageAlign="Middle" fontName="Bitstream Vera Sans" fontSize="10"/>
	<style name="Report_Title" fontName="Bitstream Vera Sans" fontSize="18">
		<box leftPadding="5"/>
	</style>
	<style name="Group_Data_Label" fontName="Bitstream Vera Sans" fontSize="11" isBold="true"/>
	<style name="Report_Subtitle" forecolor="#555555" fontName="Bitstream Vera Sans" fontSize="14">
		<box leftPadding="5"/>
	</style>
	<style name="Total_Field" mode="Opaque" forecolor="#000000" backcolor="#CCCCCC" vTextAlign="Middle" vImageAlign="Middle">
		<box leftPadding="5"/>
	</style>
	<style name="Detail_Header" mode="Opaque" forecolor="#FFFFFF" backcolor="#555555" vTextAlign="Middle" vImageAlign="Middle">
		<box leftPadding="5">
			<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#FFFFFF"/>
			<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#FFFFFF"/>
		</box>
	</style>
	<style name="GroupHeader_DarkGray" mode="Opaque" forecolor="#FFFFFF" backcolor="#555555" vTextAlign="Middle" vImageAlign="Middle" fontName="Bitstream Vera Sans" fontSize="14">
		<box leftPadding="5"/>
	</style>
	<style name="GroupHeader_Gray" mode="Opaque" backcolor="#999999"/>
	<style name="Detail_Line">
		<conditionalStyle>
			<conditionExpression><![CDATA[new Boolean($V{REPORT_COUNT}.intValue()%2==1)]]></conditionExpression>
			<style mode="Opaque" backcolor="#CCCCCC"/>
		</conditionalStyle>
	</style>
	<style name="Total_Gray" mode="Opaque" forecolor="#000000" backcolor="#CCCCCC"/>
	<parameter name="ATTACH" class="java.lang.String" isForPrompting="false"/>
	<parameter name="BASE_WEB" class="java.lang.String" isForPrompting="false"/>
	<parameter name="BASE_DESIGN" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["/opt/AppsOpenbravo/src"]]></defaultValueExpression>
	</parameter>
	<parameter name="LANGUAGE" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["en_US"]]></defaultValueExpression>
	</parameter>
	<parameter name="USER_CLIENT" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["('1000000')"]]></defaultValueExpression>
	</parameter>
	<parameter name="USER_ORG" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["('0')"]]></defaultValueExpression>
	</parameter>
	<parameter name="REPORT_TITLE" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["REPORT TITLE"]]></defaultValueExpression>
	</parameter>
	<parameter name="REPORT_SUBTITLE" class="java.lang.String" isForPrompting="false"/>
	<parameter name="SUBREPORT_DIR" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA[$P{BASE_DESIGN} + "/org/openbravo/distributionorder/erpReports/"]]></defaultValueExpression>
	</parameter>
	<parameter name="LOCALE" class="java.util.Locale" isForPrompting="false"/>
	<parameter name="NUMBERFORMAT" class="java.text.DecimalFormat" isForPrompting="false"/>
	<parameter name="SUBREP_OBDO_DistOrderLinesJR" class="net.sf.jasperreports.engine.JasperReport" isForPrompting="false"/>
	<parameter name="SHOW_COMPANYDATA" class="java.lang.String" isForPrompting="false"/>
	<parameter name="DOCUMENT_ID" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["''"]]></defaultValueExpression>
	</parameter>
	<queryString>
		<![CDATA[SELECT OBDO.DOCUMENTNO, OBDO.DATEORDERED, OBDO.DATEPROMISED, OBDO.ISSOTRX,OBDO.AD_ORG_ID AS organizationid,
	(CASE WHEN OBDO.ISSOTRX = 'Y' THEN OBDO.ISSUESTATUS ELSE DORE.ISSUESTATUS END) AS ISSUESTATUS,
	(CASE WHEN OBDO.ISSOTRX = 'Y' THEN DORE.RECEIPTSTATUS ELSE OBDO.RECEIPTSTATUS END) AS RECEIPTSTATUS,
	OBDO.DOCSTATUS,
	   AD_ORG.NAME AS org_name, AD_ORGINFO.taxid AS org_taxid,
C_LOCATION_DESCRIPTION(AD_ORGINFO.C_LOCATION_ID) AS LOCATION,
WI.NAME AS issue_name, C_LOCATION_DESCRIPTION(WI.C_LOCATION_ID) AS LOCATION_ISSUE,
Wr.NAME AS receipt_name, C_LOCATION_DESCRIPTION(WR.C_LOCATION_ID) AS LOCATION_RECEIPT
FROM OBDO_DISTORDER OBDO, M_WAREHOUSE WI, M_WAREHOUSE WR,
OBDO_DISTORDER DORE,
AD_ORG , AD_ORGINFO
WHERE
WI.m_warehouse_id = OBDO.m_warehouse_issue_id AND
WR.m_warehouse_id = OBDO.m_warehouse_receipt_id AND
DORE.OBDO_DISTORDER_ID = OBDO.REFERENCED_DISTORDER_ID AND
AD_ORG.ad_org_id=OBDO.ad_org_id
AND AD_ORGINFO.ad_org_id=AD_ORG.ad_org_id
AND OBDO.obdo_distorder_id = $P{DOCUMENT_ID}]]>
	</queryString>
	<field name="documentno" class="java.lang.String">
		<fieldDescription><![CDATA[--OBTG:NVARCHAR--]]></fieldDescription>
	</field>
	<field name="dateordered" class="java.sql.Timestamp"/>
	<field name="datepromised" class="java.sql.Timestamp"/>
	<field name="issotrx" class="java.lang.String"/>
	<field name="organizationid" class="java.lang.String"/>
	<field name="issuestatus" class="java.math.BigDecimal"/>
	<field name="receiptstatus" class="java.math.BigDecimal"/>
	<field name="docstatus" class="java.lang.String"/>
	<field name="org_name" class="java.lang.String"/>
	<field name="org_taxid" class="java.lang.String"/>
	<field name="location" class="java.lang.String"/>
	<field name="issue_name" class="java.lang.String"/>
	<field name="location_issue" class="java.lang.String"/>
	<field name="receipt_name" class="java.lang.String"/>
	<field name="location_receipt" class="java.lang.String"/>
	<variable name="SHOWLOGO" class="java.lang.String"/>
	<variable name="SHOWCOMPANYDATA" class="java.lang.String"/>
	<group name="PrintLarge" isReprintHeaderOnEachPage="true">
		<groupExpression><![CDATA[]]></groupExpression>
		<groupHeader>
			<band height="120" splitType="Stretch">
				<printWhenExpression><![CDATA[]]></printWhenExpression>
			</band>
		</groupHeader>
		<groupFooter>
			<band splitType="Stretch"/>
		</groupFooter>
	</group>
	<group name="PrintMedium" isReprintHeaderOnEachPage="true">
		<groupExpression><![CDATA[]]></groupExpression>
		<groupHeader>
			<band height="80" splitType="Stretch">
				<printWhenExpression><![CDATA[]]></printWhenExpression>
			</band>
		</groupHeader>
		<groupFooter>
			<band splitType="Stretch"/>
		</groupFooter>
	</group>
	<group name="PrintSmall" isReprintHeaderOnEachPage="true">
		<groupExpression><![CDATA[]]></groupExpression>
		<groupHeader>
			<band height="50" splitType="Stretch">
				<printWhenExpression><![CDATA[]]></printWhenExpression>
			</band>
		</groupHeader>
		<groupFooter>
			<band splitType="Stretch"/>
		</groupFooter>
	</group>
	<group name="OBDO_DISTORDER_ID" isStartNewPage="true" isResetPageNumber="true">
		<groupHeader>
			<band height="255" splitType="Stretch">
				<staticText>
					<reportElement key="staticText-6" style="Group_Data_Label" x="292" y="140" width="57" height="34" forecolor="#7E7979" backcolor="#FFFFFF" uuid="2930dc9a-a228-4860-a40c-4911584a412b"/>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="DejaVu Sans" size="9"/>
					</textElement>
					<text><![CDATA[Order Nº]]></text>
				</staticText>
				<textField isBlankWhenNull="false">
					<reportElement key="textField-8" x="293" y="175" width="57" height="20" uuid="9bec79b5-a277-4443-b7b9-8bd17482133a"/>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement textAlignment="Center">
						<font fontName="DejaVu Sans" size="8"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{documentno}]]></textFieldExpression>
				</textField>
				<line>
					<reportElement key="line-1" x="1" y="136" width="482" height="1" forecolor="#CCCCCC" uuid="adeb2d94-3b52-4481-85ee-3e980389a8eb"/>
					<graphicElement>
						<pen lineWidth="1.0" lineStyle="Solid" lineColor="#A3A1A1"/>
					</graphicElement>
				</line>
				<staticText>
					<reportElement key="staticText-8" style="Group_Data_Label" x="408" y="140" width="74" height="34" forecolor="#7E7979" backcolor="#FFFFFF" uuid="8148c244-242e-47af-927b-05bdf1fdd2d8"/>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="DejaVu Sans" size="9" isBold="true" pdfFontName="Helvetica"/>
					</textElement>
					<text><![CDATA[Schedule Delivery Date]]></text>
				</staticText>
				<textField pattern="dd/MM/yyyy" isBlankWhenNull="false">
					<reportElement key="textField" x="408" y="174" width="74" height="20" uuid="c8fa10a7-7678-4d64-8d5c-60c02b283f1c"/>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement textAlignment="Center">
						<font fontName="DejaVu Sans" size="8"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{datepromised}]]></textFieldExpression>
				</textField>
				<textField isBlankWhenNull="false">
					<reportElement key="textField-20" x="326" y="0" width="155" height="91" isPrintWhenDetailOverflows="true" uuid="974be258-0088-4f4f-89af-c53fd173b5d1"/>
					<textElement>
						<font fontName="DejaVu Sans" size="9"/>
					</textElement>
					<textFieldExpression><![CDATA[($F{location}==null ? $F{org_name} + "\n" + $F{org_taxid} + "\n" : $F{org_name} + "\n" + $F{org_taxid} + "\n" + $F{location})]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement key="staticText-11" style="Group_Data_Label" x="351" y="140" width="56" height="35" forecolor="#7E7979" backcolor="#FFFFFF" uuid="ab08adf8-ea24-4b53-b60e-1eb0b5497cef"/>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="DejaVu Sans" size="9" isBold="true" pdfFontName="Helvetica"/>
					</textElement>
					<text><![CDATA[Date Orderd]]></text>
				</staticText>
				<textField pattern="dd/MM/yyyy" isBlankWhenNull="false">
					<reportElement key="textField-24" x="351" y="175" width="56" height="20" uuid="f4faef7a-a7cb-409e-a709-b169cf3038a4"/>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement textAlignment="Center">
						<font fontName="DejaVu Sans" size="8"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{dateordered}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement key="staticText-12" x="165" y="102" width="318" height="25" uuid="fc9acb39-f49b-4777-9ac4-0e7ff463ffff">
						<printWhenExpression><![CDATA[new Boolean($F{issotrx}.equalsIgnoreCase("Y"))]]></printWhenExpression>
					</reportElement>
					<textElement textAlignment="Right">
						<font fontName="DejaVu Sans" size="16"/>
					</textElement>
					<text><![CDATA[Distribution Order Issue]]></text>
				</staticText>
				<staticText>
					<reportElement key="staticText-13" x="165" y="102" width="317" height="25" uuid="daab30c5-8dfe-4455-9981-c6cdcdd68bf6">
						<printWhenExpression><![CDATA[new Boolean($F{issotrx}.equalsIgnoreCase("N"))]]></printWhenExpression>
					</reportElement>
					<textElement textAlignment="Right">
						<font fontName="DejaVu Sans" size="16"/>
					</textElement>
					<text><![CDATA[Distribution Order Receipt]]></text>
				</staticText>
				<image scaleImage="RetainShape" hAlign="Right" vAlign="Top" isUsingCache="true">
					<reportElement key="image-1" x="0" y="13" width="153" height="78" uuid="65b7d12e-8cae-45cc-be04-988103e14401"/>
					<imageExpression><![CDATA[org.openbravo.erpCommon.utility.Utility.showImageLogo("yourcompanylegal", $F{organizationid})]]></imageExpression>
				</image>
				<line>
					<reportElement key="line-1" x="291" y="196" width="192" height="1" forecolor="#CCCCCC" uuid="82ba0ddf-4321-4100-a15e-2a24301dbc7a"/>
					<graphicElement>
						<pen lineWidth="1.0" lineStyle="Solid" lineColor="#A3A1A1"/>
					</graphicElement>
				</line>
				<line direction="BottomUp">
					<reportElement key="line-1" x="290" y="137" width="1" height="59" forecolor="#CCCCCC" uuid="2a69afd3-97d5-4692-ba7b-b956caf30303"/>
					<graphicElement>
						<pen lineWidth="1.0" lineStyle="Solid" lineColor="#A3A1A1"/>
					</graphicElement>
				</line>
				<line direction="BottomUp">
					<reportElement key="line-1" x="407" y="137" width="1" height="58" forecolor="#CCCCCC" uuid="1c026366-ecb6-4224-ab70-b8e3ef8cb301"/>
					<graphicElement>
						<pen lineWidth="1.0" lineStyle="Solid" lineColor="#A3A1A1"/>
					</graphicElement>
				</line>
				<line direction="BottomUp">
					<reportElement key="line-1" x="350" y="137" width="1" height="57" forecolor="#CCCCCC" uuid="561b052f-0618-4f47-9552-1c7aa46cf40d"/>
					<graphicElement>
						<pen lineWidth="1.0" lineStyle="Solid" lineColor="#A3A1A1"/>
					</graphicElement>
				</line>
				<line direction="BottomUp">
					<reportElement key="line-1" x="482" y="137" width="1" height="57" forecolor="#CCCCCC" uuid="485998c7-5ca3-4bfb-926b-63b7570531c2"/>
					<graphicElement>
						<pen lineWidth="1.0" lineStyle="Solid" lineColor="#A3A1A1"/>
					</graphicElement>
				</line>
				<textField>
					<reportElement x="0" y="140" width="250" height="57" uuid="75a7b605-903c-435b-be73-69973493dd53"/>
					<textFieldExpression><![CDATA[$F{receipt_name}+"\n"+$F{location_receipt}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="0" y="197" width="250" height="57" uuid="69fd7ca9-5005-4ed0-9254-ca9bdb8a0a87"/>
					<textFieldExpression><![CDATA[$F{issue_name}+"\n"+$F{location_issue}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement key="staticText-6" style="Group_Data_Label" x="291" y="197" width="89" height="34" forecolor="#7E7979" backcolor="#FFFFFF" uuid="9f2fb829-de80-4c24-aaf4-a9378902dbc9"/>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="DejaVu Sans" size="9"/>
					</textElement>
					<text><![CDATA[Issue Status]]></text>
				</staticText>
				<staticText>
					<reportElement key="staticText-6" style="Group_Data_Label" x="381" y="197" width="101" height="34" forecolor="#7E7979" backcolor="#FFFFFF" uuid="007ea367-0ccd-49de-ab44-aa535b5c9fe8"/>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="DejaVu Sans" size="9"/>
					</textElement>
					<text><![CDATA[Receipt Status]]></text>
				</staticText>
				<textField isBlankWhenNull="false">
					<reportElement key="textField-8" x="292" y="231" width="88" height="20" uuid="24150e51-4dfa-4689-8d6a-c7b352ef275d"/>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement textAlignment="Center">
						<font fontName="DejaVu Sans" size="8"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{issuestatus}+" %"]]></textFieldExpression>
				</textField>
				<textField isBlankWhenNull="false">
					<reportElement key="textField-8" x="381" y="231" width="101" height="20" uuid="9eb8199f-f6f8-431a-8e1e-b1d705776053"/>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement textAlignment="Center">
						<font fontName="DejaVu Sans" size="8"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{receiptstatus}+" %"]]></textFieldExpression>
				</textField>
				<line direction="BottomUp">
					<reportElement key="line-1" x="290" y="196" width="1" height="57" forecolor="#CCCCCC" uuid="c04dc2c5-1aec-4931-93a3-b06c88d07d40"/>
					<graphicElement>
						<pen lineWidth="1.0" lineStyle="Solid" lineColor="#A3A1A1"/>
					</graphicElement>
				</line>
				<line direction="BottomUp">
					<reportElement key="line-1" x="380" y="196" width="1" height="57" forecolor="#CCCCCC" uuid="c913de70-4efd-4016-8e6b-baf0c6601443"/>
					<graphicElement>
						<pen lineWidth="1.0" lineStyle="Solid" lineColor="#A3A1A1"/>
					</graphicElement>
				</line>
				<line direction="BottomUp">
					<reportElement key="line-1" x="482" y="197" width="1" height="57" forecolor="#CCCCCC" uuid="937fc125-db0e-4fb3-9dc9-195358188f6f"/>
					<graphicElement>
						<pen lineWidth="1.0" lineStyle="Solid" lineColor="#A3A1A1"/>
					</graphicElement>
				</line>
				<line>
					<reportElement key="line-1" x="289" y="253" width="192" height="1" forecolor="#CCCCCC" uuid="888731bd-0c77-4dd4-bee3-bf1185200041"/>
					<graphicElement>
						<pen lineWidth="1.0" lineStyle="Solid" lineColor="#A3A1A1"/>
					</graphicElement>
				</line>
			</band>
		</groupHeader>
		<groupFooter>
			<band splitType="Stretch"/>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="45" splitType="Stretch">
			<subreport>
				<reportElement x="1" y="0" width="482" height="45" uuid="231c9a39-8d5e-4de5-a5e8-56d1edfd0b20"/>
				<subreportParameter name="NUMBERFORMAT"/>
				<subreportParameter name="LOCALE"/>
				<subreportParameter name="DOCUMENT_ID">
					<subreportParameterExpression><![CDATA[$P{DOCUMENT_ID}]]></subreportParameterExpression>
				</subreportParameter>
				<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
				<subreportExpression><![CDATA[$P{SUBREP_OBDO_DistOrderLinesJR}]]></subreportExpression>
			</subreport>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band height="21" splitType="Stretch">
			<textField evaluationTime="Report" pattern="" isBlankWhenNull="false">
				<reportElement key="textField-9" x="439" y="0" width="36" height="19" forecolor="#000000" backcolor="#FFFFFF" uuid="7a3b19bc-5b0a-476c-b94b-83533d1830de"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle" rotation="None">
					<font fontName="DejaVu Sans" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="CP1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["" + $V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="textField-10" x="340" y="0" width="95" height="19" uuid="6493ee4e-82d4-4d8d-a860-21bc8301821e"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA["Page " + $V{PAGE_NUMBER} + " of "]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
	<summary>
		<band splitType="Stretch"/>
	</summary>
</jasperReport>
